PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_sormqr_Tile | ( | PLASMA_enum | side,
|  | PLASMA_enum | trans,
|  | PLASMA_desc * | A,
|  | PLASMA_desc * | T,
|  | PLASMA_desc * | C
| ) |  |

PLASMA_sormqr_Tile - overwrites the general M-by-N matrix C with Q*C, where Q is an orthogonal matrix (unitary in the complex case) defined as the product of elementary reflectors returned by PLASMA_sgeqrf_Tile Q is of order M. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | side | Intended usage: = PlasmaLeft: apply Q or Q**T from the left; = PlasmaRight: apply Q or Q**T from the right. Currently only PlasmaLeft is supported.
  [in] | trans | Intended usage: = PlasmaNoTrans: no transpose, apply Q; = PlasmaTrans: ugate transpose, apply Q**T. Currently only PlasmaTrans is supported.
  [in] | A | Details of the QR factorization of the original matrix A as returned by PLASMA_sgeqrf.
  [in] | T | Auxiliary factorization data, computed by PLASMA_sgeqrf. Can be obtained with PLASMA_Alloc_Workspace_sgeqrf
  [in,out] | C | On entry, the M-by-N matrix C. On exit, C is overwritten by Q*C or Q**T*C.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_sormqr
  PLASMA_sormqr_Tile_Async
  PLASMA_cormqr_Tile
  PLASMA_dormqr_Tile
  PLASMA_sormqr_Tile
  PLASMA_sgeqrf_Tile